### Virtual Method

# Gdk Paintablesnapshot

#### Declaration [src]

    void
    snapshot (
      GdkPaintable* paintable,
      GdkSnapshot* snapshot,
      double width,
      double height
    )

#### Description [src]

Snapshots the given paintable with the given `width` and `height`.

The paintable is drawn at the current (0,0) offset of the `snapshot`. If `width` and `height` are not larger than zero, this function will do nothing.

#### Parameters

`snapshot`

  Type: `GdkSnapshot`

  A `GdkSnapshot` to snapshot to.

  The data is owned by the caller of the function.

`width`

  Type: `double`

  Width to snapshot in.

`height`

  Type: `double`

  Height to snapshot in.